| Home | Libraries | People | FAQ | More

##### ssl::basic_context::set_verify_mode (1 of 2 overloads)

Set the peer verification mode.

    void set_verify_mode(
        verify_mode v);

This function may be used to configure the peer verification mode used by the context.

###### Parameters

v

  A bitmask of peer verification modes. The available verify_mode values are defined in the context_base class.

###### Exceptions

boost::system::system_error

  Thrown on failure.